package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.biz.dal.valid.ListValue;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/19
 */
@ApiModel(value = "VideoLessonShelvesVo")
public class VideoLessonShelvesVo extends BaseEntity {
    @ApiModelProperty(value = "主键id", required = true)
    @NotNull(message = "视频组id不能为空")
    private Long id;

    @ApiModelProperty(value = "是否上架 （0:否  1：是）", required = true)
    @ListValue(vals = {0, 1}, message = "是否上架必须提交指定值")
    private Integer shelvesFlag;

    @ApiModelProperty(value = "原因")
    private String shelvesReason;

    @ApiModelProperty(value = "上下架时间", hidden = true)
    private Date shelvesTime;

    @ApiModelProperty(value = "上下架操作人", hidden = true)
    private Long shelvesId;

    private ClientEnum clientType;

    public ClientEnum getClientType() {
        return clientType;
    }

    public void setClientType(ClientEnum clientType) {
        this.clientType = clientType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getShelvesFlag() {
        return shelvesFlag;
    }

    public void setShelvesFlag(Integer shelvesFlag) {
        this.shelvesFlag = shelvesFlag;
    }

    public String getShelvesReason() {
        return shelvesReason;
    }

    public void setShelvesReason(String shelvesReason) {
        this.shelvesReason = shelvesReason;
    }

    public Date getShelvesTime() {
        return shelvesTime;
    }

    public void setShelvesTime(Date shelvesTime) {
        this.shelvesTime = shelvesTime;
    }

    public Long getShelvesId() {
        return shelvesId;
    }

    public void setShelvesId(Long shelvesId) {
        this.shelvesId = shelvesId;
    }
}
